## CSST L1 Pipeline Standards

### Workplace

Gitlab Group **CSST-L1**:
https://csst-tb.bao.ac.cn/code/csst-l1

### Prototype

https://csst-tb.bao.ac.cn/code/csst-l1/csst_proto

### Structure of files

An example of the tree

```bash
csst_proto
 |-csst_proto
 |  |-data
 |  |  |-test_image.txt
 |  |  |-table_data.txt
 |  |-__init__.py
 |  |-flip_image.py
 |  |-some_other_modules.py
 |  |-top_level_interface.py
 |-tests
 |-doc (sphinx directory)
 |-setup.py
 |-LICENSE
 |-README.md
```


1. `setup.py`
    this file 

2.

### Code style

PEP8.

### Documentation

sphinx-based documentation needs docstrings.

1. docstring styles
    - Numpy (recommended)
    - Google

### Unit Tests


